Vine Linux バグトラッキングシステム

課題の詳細を表示 コメントにジャンプ ] 課題の履歴 ] 印刷 ]
IDプロジェクトカテゴリ登録日最終更新
0002928VineSeed[全プロジェクト] カテゴリなし2015-05-14 04:552015-12-19 22:37
報告者kazuya 
担当者inagaki 
優先度再現性毎回 
状態テスト待ち解決状況不明 
概要0002928: self-build-Skypeをインストールしたところ、音がなりません。
説明Skypeから音がなりません。

Skypeのオプションからサウンドデバイスをみると、
マイクとスピーカー、呼び出し中がすべて、Virtual Deviceとなります。
再現方法ターミナルから

#apt-get install self-build-Skype

を実行してインストールして、Skypeを起動。
タグ設定されていません。
archx86_64
パッケージSkype-4.3.0.37-1vl7.x86_64.rpm
添付ファイル

- 関連

-  コメント
(0009418)
inagaki (開発者)
2015-05-14 14:48

稲垣です。

手元の x86_64 環境でも再現しました。取り急ぎ報告まで。
i686 は手元に環境がないのでテストできませんが、いかがでしょうか。
x86_64 だけの問題であれば下記 URL の方法で解決できるのでしょうかね?

http://community.skype.com/t5/Linux/After-4-3-0-37-the-divices-only-show-up-as-quot-virtual-device/td-p/3228886 [^]

# Vine に限らずこのバージョンの Skype for Linux ではハマっている人が多そうです。
(0009419)
kazuya (報告者)
2015-05-14 18:38

返信有難うございます。

上記のURLの01-07-2014 10:40の記事を参考にしたところ、
VineSeedのaptリポジトリにはalsa-plugins-pulseaudioの32bit版は存在せず、
また、libpulse-mainloop +32bitに相当しそうなパッケージのcompat32-pulseaudio-libsも
依存関係が破損しておりインストールできません。以下aptからのメッセージ

'compat32-pulseaudio-libs' として compat32-pulseaudio-libs.32bit を選択しました
いくつかのパッケージをインストールすることができません。おそらく、
整合性のとれない状況を要求したか、(必要なパッケージがまだそろって
いなかったり、まだIncomingから移動されていない)不安定なディストリ
ビューションを使用していないでしょうか。

単純な操作だけを行った時に、パッケージがインストール
できない場合は、バグリポートしてください。
以下の情報がこの問題を解決するために役立つかもしれません:

以下のパッケージは解決できない依存関係を持っています:
  compat32-pulseaudio-libs.32bit: 依存: libpulsecommon-6.0.so
                                  依存: libsndfile.so.1
E: 壊れたパッケージです

次に、libpulse0 +32bitに相当しそうなパッケージのcompat32-pulseaudio-core-libsも、
依存関係が破損しておりインストールできませんでした。

'compat32-pulseaudio-core-libs' として compat32-pulseaudio-core-libs.32bit を選択しました
いくつかのパッケージをインストールすることができません。おそらく、
整合性のとれない状況を要求したか、(必要なパッケージがまだそろって
いなかったり、まだIncomingから移動されていない)不安定なディストリ
ビューションを使用していないでしょうか。

単純な操作だけを行った時に、パッケージがインストール
できない場合は、バグリポートしてください。
以下の情報がこの問題を解決するために役立つかもしれません:

以下のパッケージは解決できない依存関係を持っています:
  compat32-pulseaudio-core-libs.32bit: 依存: libpulse.so.0
                                       依存: libpulse.so.0(PULSE_0)
                                       依存: libsndfile.so.1
                                       依存: libsndfile.so.1(libsndfile.so.1.0)
E: 壊れたパッケージです

さらに、上記のことからか。
システムのネットワーク接続からpulseaudio sound devices...も見つからず、作業を進められません。

何か、勘違いしているところがあればご指摘ください。
(0009428)
inagaki (開発者)
2015-05-17 02:04

先に示した URL 記載の解決例はそのまま Vine では適用できないですね。言葉足らずでした。
ただ、手元の環境で compat32-pluseaudio-core-libs の依存関係を解消してインストールしたところ、音声が鳴るようになりました。

現状の VineSeed では
 compat32-pulseaudio-core-libs → compat32-libsndfile → compat32-flac
という依存関係のうち、
compat32-flac がないためにインストールできない状況になっています。このパッケージを作成し、self-build-Skype の依存関係も修正すれば良さそうです。

# とりあえず引き取ります。
(0009429)
inagaki (開発者)
2015-05-22 02:17

compat32-flac を作成したうえで、compat32-pulseaudio-core-libs を Requires に加えた self-build-Skype を VineSeed に put しました。

  self-build-Skype-4.3.0.37-2vl7.src.rpm
  self-build-Skype-4.3.0.37-2vl7.i686.rpm
  self-build-Skype-4.3.0.37-2vl7.x86_64.rpm

ミラーサイトに反映されたらお試しいただけますと幸いです。

# 状態をテスト待ちに変更します。

- 課題の履歴
変更日 ユーザー名 項目 変更内容
2015-05-14 04:55 kazuya 新規課題
2015-05-14 14:48 inagaki コメント追加: 0009418
2015-05-14 14:49 inagaki 状態 新規 => 内容確認済
2015-05-14 18:38 kazuya コメント追加: 0009419
2015-05-17 02:04 inagaki コメント追加: 0009428
2015-05-17 02:04 inagaki 担当者 => inagaki
2015-05-17 02:04 inagaki 状態 内容確認済 => 担当者決定
2015-05-17 02:04 inagaki 修正予定バージョン => VineSeed
2015-05-22 02:17 inagaki コメント追加: 0009429
2015-05-22 02:17 inagaki 状態 担当者決定 => テスト待ち
2015-12-19 22:35 tomop カテゴリ 1 バグ => カテゴリなし
2015-12-19 22:37 tomop プロジェクト Vine Linux => VineSeed


Copyright © 2000 - 2017 MantisBT Team
Copyright © 2012 - 2017 Project Vine
Powered by Mantis Bugtracker